Subject: RE: Trouble running agetty
From: "sos" <[email-masked]>
To: "'Petr Andrs'" <[email-masked]>
Cc: <[email-masked]>
Date: Tue, 29 Apr 2003 17:07:04 -0400

"man agetty":-) The terminal line shall have no /dev/ prefix.
"/sbin/agetty -L -T vt100 -n ttyS0 9600 ttyS0" works fine to me.

Sergey Okhapkin
Somerset, NJ

-----Original Message-----
From: Petr Andrs [mailto:[email-masked]]
Sent: Tuesday, April 29, 2003 5:01 PM
To: sos
Cc: [email-masked]
Subject: Re: Trouble running agetty

Yes, I did, as described below, when running terminal emulator on both
sides characters typed on one side are displayed on the other.

pa

On 4/29/2003 10:54 PM, sos wrote :
> Did you try to check the communication with Hyperterminal on NT side?
>
> Sergey Okhapkin
> Somerset, NJ
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
> Behalf Of Petr Andrs
> Sent: Tuesday, April 29, 2003 4:45 PM
> To: [email-masked]
> Subject: Re: Trouble running agetty
>
>
> Really nobody knows how to connect serial terminal into cygwin?
>
> pa
>
> On 4/27/2003 10:59 PM, Petr Andrs wrote :
>
>
>>Hi all,
>>
>>I want to use old PC with DOS as a terminal connected via serial null
>>modem cable to Win2K machine with cygwin. But when I launch agetty in
>>Cygwin and terminal emulator on DOS box I don't see anything in the
>>terminal and agetty quits after short while being completely silent. I
>
>
>>don't know what to do since there is no indication of problem, just
>>nothing happens.
>>
>>I tried following agetty configurations.
>>
>>/sbin/agetty /dev/ttyS0 9600
>>/sbin/agetty /dev/ttyS0 9600
>>/sbin/agetty -L /dev/ttyS0 9600
>>/sbin/agetty -L -T vt100 /dev/ttyS0 9600
>>/sbin/agetty -L -T vt100 -8 -1 -N /dev/ttyS0 9600
>>
>>COM1 port in both WIN and DOS box is set to 8N1 9600, when running
>>terminal emulators on both ends (Hyperterminal on Win and comit on
>
> DOS)
>
>>letters go through, so wiring is OK.
>>
>>Configuration listing is attached.
>>
>>pa

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/